# H235_KeySignedMaterial Class Reference

`#include <h235.h>`

Inheritance diagram for H235_KeySignedMaterial:

List of all members.

## Public Types

enum | OptionalFields { e_srandom, e_timeStamp }

## Public Member Functions

| H235_KeySignedMaterial (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H235_Identifier | m_generalId
H235_RandomVal | m_mrandom
H235_RandomVal | m_srandom
H235_TimeStamp | m_timeStamp
H235_ENCRYPTED< H235_EncodedKeySyncMaterial > | m_encrptval

## Member Enumeration Documentation

enum H235_KeySignedMaterial::OptionalFields

Enumerator:

  e_srandom |
  e_timeStamp |

## Constructor & Destructor Documentation

H235_KeySignedMaterial::H235_KeySignedMaterial | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_KeySignedMaterial::GetDataLength | ( |  | ) | const

PBoolean H235_KeySignedMaterial::Decode | ( | PASN_Stream & | strm | ) |

void H235_KeySignedMaterial::Encode | ( | PASN_Stream & | strm | ) | const

void H235_KeySignedMaterial::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_KeySignedMaterial::Compare | ( | const PObject & | obj | ) | const

PObject* H235_KeySignedMaterial::Clone | ( |  | ) | const

## Member Data Documentation

H235_Identifier H235_KeySignedMaterial::m_generalId

H235_RandomVal H235_KeySignedMaterial::m_mrandom

H235_RandomVal H235_KeySignedMaterial::m_srandom

H235_TimeStamp H235_KeySignedMaterial::m_timeStamp

H235_ENCRYPTED<H235_EncodedKeySyncMaterial> H235_KeySignedMaterial::m_encrptval

The documentation for this class was generated from the following file:

- h235.h